[PATCH] scripts: check_extable: fix typo in user error message

From: Randy Dunlap
Date: Mon Jul 26 2021 - 20:29:48 EST


Fix typo ("and" should be "an") in an error message.

Signed-off-by: Randy Dunlap <rdunlap@xxxxxxxxxxxxx>
Cc: Quentin Casasnovas <quentin.casasnovas@xxxxxxxxxx>
Cc: Andrew Morton <akpm@xxxxxxxxxxxxxxxxxxxx>
---
scripts/check_extable.sh | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)

--- linux-next-20210723.orig/scripts/check_extable.sh
+++ linux-next-20210723/scripts/check_extable.sh
@@ -4,7 +4,7 @@

obj=$1

-file ${obj} | grep -q ELF || (echo "${obj} is not and ELF file." 1>&2 ; exit 0)
+file ${obj} | grep -q ELF || (echo "${obj} is not an ELF file." 1>&2 ; exit 0)

# Bail out early if there isn't an __ex_table section in this object file.
objdump -hj __ex_table ${obj} 2> /dev/null > /dev/null